#
# Conditional build:
%bcond_without	python2	# CPython 2.x version
%bcond_without	python3	# CPython 3.x version
%bcond_without	tests	# unit tests

Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		docutils
Version:	0.15.2
Release:	1
License:	Public Domain, BSD, GPL v3 (see COPYING.txt)
Group:		Development/Tools
# Source0:	http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
Source0:	https://pypi.debian.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	e26a308d8000b0bed7416a633217c676
URL:		http://docutils.sourceforge.net/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.4
BuildRequires:	python3-devel >= 1:3.4
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

%package -n python-%{name}
Summary:        Text documents processing modules for Python 2.x
Summary(pl.UTF-8):      Moduły Pythona 2.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
%pyrequires_eq	python-libs

%description -n python-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 2.

%description -n python-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 2.

%package 3
Summary:        Documentation Utilities for Python 3.x
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji dla Pythona 3.x
Group:		Development/Tools
Requires:	python3-%{name} = %{version}-%{release}

%description 3
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

This package provides the Docutils for Python 3.

%description 3 -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet zawiera Docutils dla Pythona 3.

%package -n python3-%{name}
Summary:        Text documents processing modules for Python 3.x
Summary(pl.UTF-8):      Moduły Pythona 3.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python

%description -n python3-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 3.

%description -n python3-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 3.

%prep
%setup -q

%build
%if %{with python2}
%{__python} setup.py config build -b build-2

%if %{with tests}
PYTHONPATH=$(pwd)/build-2/lib \
%{__python} test/alltests.py
%endif
%endif

%if %{with python3}
%{__python3} setup.py config build -b build-3

%if %{with tests}
PYTHONPATH=$(pwd)/build-3/lib \
%{__python3} test3/alltests.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	%{__mv} "${f}" "${f%.py}"
done

%py_postclean
%endif

%if %{with python3}
%py3_install

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	%{__mv} "${f}" "${f%.py}-3"
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rst2html
%attr(755,root,root) %{_bindir}/rst2html4
%attr(755,root,root) %{_bindir}/rst2html5
%attr(755,root,root) %{_bindir}/rst2latex
%attr(755,root,root) %{_bindir}/rst2man
%attr(755,root,root) %{_bindir}/rst2odt
%attr(755,root,root) %{_bindir}/rst2odt_prepstyles
%attr(755,root,root) %{_bindir}/rst2pseudoxml
%attr(755,root,root) %{_bindir}/rst2s5
%attr(755,root,root) %{_bindir}/rst2xetex
%attr(755,root,root) %{_bindir}/rst2xml
%attr(755,root,root) %{_bindir}/rstpep2html

%files -n python-%{name}
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py_sitescriptdir}/docutils
%{py_sitescriptdir}/docutils-%{version}-py*.egg-info
%endif

%if %{with python3}
%files 3
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rst*-3

%files -n python3-%{name}
%defattr(644,root,root,755)
%doc BUGS.txt COPYING.txt README.txt RELEASE-NOTES.txt THANKS.txt docs
%{py3_sitescriptdir}/docutils
%{py3_sitescriptdir}/docutils-%{version}-py*.egg-info
%endif
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docutils.git;a=log;h=auto/th/docutils-0.15.2-1

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3143ba5
- up to 0.15.2

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 112a356
- updated to 0.15
- loose python3 BRs; strict ones were from the times of invoking 2to3 suffixed with hardcoded py3_ver
- keep docs with python modules (tool packages are optional from python PoV)

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3433c60
- rel 5; rebuild for python 3.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 33dcf1a
- rebuild with python 3.8
- release 4 (by relup.sh)

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 2347be9
- added unit tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e2b3beb
- rel 3; new deps

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bd4034c
- release 2 (by relup.sh)

* Sun Aug 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c9cbe4
- up to 0.14

* Mon Jan 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 8b0dd82
- updated to 0.13.1

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c4cbba6
- rel 7; deps up for python 3.6

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 08d6123
- python3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 93bb235
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9fb1f4d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36a9467
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2820b50
- rel 3; up deps for python 3.5

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d1ba9ae
- release 2 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 73f498b
- up to 0.12

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ea272a
- python 3.4
- release 4 (by relup.sh)

* Sat Jul 20 2013 Artur Frysiak <artur@frysiak.net> 4613426
- Release 3

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 3f04b6f
- rebuild for fixed python eggs
- release 2 (by relup.sh)

